Dieser Inhalt ist in der von Ihnen ausgewählten Sprache nicht verfügbar.

11.8. Get Application and Cartridge Information


Description

Get information about an existing application and its embedded cartridges.

Method and URL Structure

Expand
Method URL Structure
GET /broker/rest/application/:id?include=cartridges

Request Parameters

Not applicable

cURL Command Example

$ curl -X GET https://openshift.redhat.com/broker/rest/application/5213190e2587c8817a000121?include=cartridges --user user@example.com

JSON Response

The API returns information about the specified application and its embedded cartridges. The related resource links returned by the API have been removed for brevity. See Chapter 11, Applications for more information on all application parameters.

{
    "api_version": 1.6,
    "data": {
        "aliases": [],
        "app_url": "http://myapp-mydomain.rhcloud.com/",
        "build_job_url": null,
        "building_app": null,
        "building_with": null,
        "cartridges": [
            {
                "additional_gear_storage": 0,
                "base_gear_storage": 1,
                "collocated_with": [
                    "haproxy-1.4"
                ],
                "current_scale": 1,
                "description": "PHP is a general-purpose server-side scripting language originally designed for Web development to produce dynamic Web pages. Popular development frameworks include: CakePHP, Zend, Symfony, and Code Igniter.",
                "display_name": "PHP 5.4",
                "gear_profile": "medium",
                "help_topics": {},
                "license": "The PHP License, version 3.0",
                "license_url": "http://www.php.net/license/3_0.txt",
                "links": {
                    "GET": {
                        "href": "https://openshift.redhat.com/broker/rest/applications/5213190e2587c8817a000121/cartridge/php-5.4",
                        "method": "GET",
                        "optional_params": [],
                        "rel": "Get cartridge",
                        "required_params": []
                    },
                    "UPDATE": {
                        "href": "https://openshift.redhat.com/broker/rest/applications/5213190e2587c8817a000121/cartridge/php-5.4",
                        "method": "PUT",
                        "optional_params": [
                            {
                                "default_value": null,
                                "description": "Additional filesystem storage in gigabytes on each gear having cartridge php-5.4",
                                "name": "additional_gear_storage",
                                "type": "integer",
                                "valid_options": []
                            },
                            {
                                "default_value": null,
                                "description": "Minimum number of gears having cartridge php-5.4",
                                "name": "scales_from",
                                "type": "integer",
                                "valid_options": []
                            },
                            {
                                "default_value": null,
                                "description": "Maximum number of gears having cartridge php-5.4",
                                "name": "scales_to",
                                "type": "integer",
                                "valid_options": []
                            }
                        ],
                        "rel": "Update cartridge configuration",
                        "required_params": []
                    },
 ........              
                "name": "php-5.4",
                "properties": [
                    {
                        "name": "OPENSHIFT_TMP_DIR",
                        "type": "environment",
                        "description": "Directory to store application temporary files."
                    },
........
                ],
                "scales_from": 1,
                "scales_to": -1,
                "scales_with": "haproxy-1.4",
                "status_messages": null,
                "supported_scales_from": 1,
                "supported_scales_to": -1,
                "tags": [
                    "service",
                    "php",
                    "web_framework"
                ],
                "type": "standalone",
                "url": null,
                "usage_rates": [],
                "version": "5.4",
                "website": "http://www.php.net"
            },
            {
                "additional_gear_storage": 0,
                "base_gear_storage": 1,
                "collocated_with": [
                    "php-5.4"
                ],
                "current_scale": 1,
                "description": "Acts as a load balancer for your web cartridge and will automatically scale up to handle incoming traffic. Is automatically added to scaled applications when they are created and cannot be removed or added to an application after the fact.",
                "display_name": "OpenShift Web Balancer",
                "gear_profile": "medium",
                "help_topics": {},
                "license": "GPLv2+",
                "license_url": "http://www.gnu.org/licenses/gpl-2.0.html",
                "links": {
                    "GET": {
                        "href": "https://openshift.redhat.com/broker/rest/applications/5213190e2587c8817a000121/cartridge/haproxy-1.4",
                        "method": "GET",
                        "optional_params": [],
                        "rel": "Get cartridge",
                        "required_params": []
                    },
........
                "name": "mysql-5.5",
                "properties": [
                    {
                        "name": "username",
                        "type": "cart_data",
                        "description": "Root user on mysql database",
                        "value": "adminxcYKabL"
                    },
                    {
                        "name": "password",
                        "type": "cart_data",
                        "description": "Password for root user on mysql database",
                        "value": "IgsS3_wQYF38"
                    },
                    {
                        "name": "database_name",
                        "type": "cart_data",
                        "description": "MySQL DB name",
                        "value": "myapp"
                    },
                    {
                        "name": "connection_url",
                        "type": "cart_data",
                        "description": "MySQL DB connection URL",
                        "value": "mysql://$OPENSHIFT_MYSQL_DB_HOST:$OPENSHIFT_MYSQL_DB_PORT/"
                    }
                ],
                "scales_from": 1,
                "scales_to": 1,
                "scales_with": "haproxy-1.4",
                "status_messages": null,
                "supported_scales_from": 1,
                "supported_scales_to": 1,
                "tags": [
                    "service",
                    "database",
                    "embedded"
                ],
                "type": "embedded",
                "url": null,
                "usage_rates": [],
                "version": "5.5",
                "website": "http://www.mysql.com"
            }
        ],
........
        "members": [
            {
                "explicit_role": null,
                "from": [
                    {
                        "type": "domain",
                        "role": "admin"
                    }
                ],
                "id": "520bd6bbdbd93c3dee00000d",
                "name": "user@example.com",
                "owner": true,
                "role": "admin",
                "type": "user"
            }
        ],
        "name": "myapp",
        "scalable": true,
        "ssh_url": "ssh://5213190e2587c8817a000121@myapp-mydomain.rhcloud.com"
    },
    "messages": [
        {
            "exit_code": 0,
            "field": null,
            "severity": "info",
            "text": "Application 'myapp' found"
        }
    ],
    "status": "ok",
    "supported_api_versions": [
      1.0,
      1.1,
      1.2,
      1.3,
      1.4,
      1.5,
      1.6
    ],
    "type": "application",
    "version": "1.6"
}

Red Hat logoGithubredditYoutubeTwitter

Lernen

Testen, kaufen und verkaufen

Communitys

Über Red Hat Dokumentation

Wir helfen Red Hat Benutzern, mit unseren Produkten und Diensten innovativ zu sein und ihre Ziele zu erreichen – mit Inhalten, denen sie vertrauen können. Entdecken Sie unsere neuesten Updates.

Mehr Inklusion in Open Source

Red Hat hat sich verpflichtet, problematische Sprache in unserem Code, unserer Dokumentation und unseren Web-Eigenschaften zu ersetzen. Weitere Einzelheiten finden Sie in Red Hat Blog.

Über Red Hat

Wir liefern gehärtete Lösungen, die es Unternehmen leichter machen, plattform- und umgebungsübergreifend zu arbeiten, vom zentralen Rechenzentrum bis zum Netzwerkrand.

Theme

© 2026 Red Hat
Nach oben